ReflectionException (Java Platform SE 8 )
Keywords: javax.management.ReflectionException class
Date: 2016-12-09

compact3
javax.management

## Class ReflectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.ReflectionException

- All Implemented Interfaces:
    Serializable

      public class ReflectionException
      extends JMException

  Represents exceptions thrown in the MBean server when using the java.lang.reflect classes to invoke methods on MBeans. It "wraps" the actual java.lang.Exception thrown.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionException(Exception e)` Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.
    `ReflectionException(Exception e, String message)` Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the actual `Exception` thrown.
    `Exception` | `getTargetException()` Returns the actual `Exception` thrown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionException

          public ReflectionException(Exception e)

      Creates a `ReflectionException` that wraps the actual `java.lang.Exception`.
      Parameters:
        `e` - the wrapped exception.

    - #### ReflectionException

          public ReflectionException(Exception e,
                                     String message)

      Creates a `ReflectionException` that wraps the actual `java.lang.Exception` with a detail message.
      Parameters:
        `e` - the wrapped exception.
        `message` - the detail message.

  - ### Method Detail

    - #### getTargetException

          public Exception getTargetException()

      Returns the actual `Exception` thrown.
      Returns:
        the wrapped `Exception`.

    - #### getCause

          public Throwable getCause()

      Returns the actual `Exception` thrown.
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the wrapped `Exception`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.